'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.TagEntityType = exports.tagEntityTypeType = undefined;

var _atpReduxEntity = require('atp-redux-entity');

var _atpPointfree = require('atp-pointfree');

var tagEntityTypeType = exports.tagEntityTypeType = 'tagEntityType';

//Reducer

exports.default = function (state, action) {
    return (0, _atpPointfree.switchOn)(action.type, {
        default: function _default() {
            return state;
        }
    });
};

//Standard REST entity selectors and actions


var TagEntityType = exports.TagEntityType = function TagEntityType() {
    return (0, _atpReduxEntity.entityBoilerplate)(tagEntityTypeType, 'tagEntityType');
};