'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.TagEntity = exports.tagEntityType = undefined;

var _atpReduxEntity = require('atp-redux-entity');

var _atpPointfree = require('atp-pointfree');

var tagEntityType = exports.tagEntityType = 'tagEntity';

//Reducer

exports.default = function (state, action) {
    return (0, _atpPointfree.switchOn)(action.type, {
        default: function _default() {
            return state;
        }
    });
};

//Standard REST entity selectors and actions


var TagEntity = exports.TagEntity = function TagEntity() {
    return (0, _atpReduxEntity.entityBoilerplate)(tagEntityType, 'tagEntity');
};