'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Tag = exports.tagType = undefined;

var _atpReduxEntity = require('atp-redux-entity');

var _atpPointfree = require('atp-pointfree');

var tagType = exports.tagType = 'tagTag';

//Reducer

exports.default = function (state, action) {
    return (0, _atpPointfree.switchOn)(action.type, {
        default: function _default() {
            return state;
        }
    });
};

//Standard REST entity selectors and actions


var Tag = exports.Tag = function Tag() {
    return (0, _atpReduxEntity.entityBoilerplate)(tagType, 'tag');
};